import type { RemovableRef } from '@vueuse/core'
import type { RouteLocationNormalized } from 'vue-router/auto'

declare global {
  interface DefineMultipleTabOptions {
    cacheTabList: Set<string>
    tabList: RouteLocationNormalized[] | RemovableRef<RouteLocationNormalized[]>
    lastDragEndIndex: number
  }

  // 标签配置
  interface TabTarConfigOptions {
    show: boolean
    visible: boolean
    cache: boolean
    canDrag: boolean
    showQuick: boolean
    showRedo: boolean
    showFold: boolean
    readonly height: number
  }
}
