import { storeToRefs } from 'pinia'

export function useSiteSetting() {
  const configStore = useSiteConfigStore()
  const siteGeneral = storeToRefs(configStore)

  function initSiteGeneralConfig(configs: DeepPartial<DefineSiteOptions>) {
    configStore.setSiteConfig(configs)
  }
  return {
    ...siteGeneral,
    initSiteGeneralConfig,
  }
}
