// 折叠触发器位置
export enum TriggerEnum {
  // 不显示
  NONE = 'NONE',
  // 菜单底部
  FOOTER = 'FOOTER',
  // 菜单中间
  CENTER = 'CENTER',
  // 头部
  HEADER = 'HEADER',
}

// 菜单模式
export type Mode = 'vertical' | 'vertical-right' | 'horizontal' | 'inline'

// 菜单模式
export enum MenuModeEnum {
  VERTICAL = 'vertical',
  HORIZONTAL = 'horizontal',
  VERTICAL_RIGHT = 'vertical-right',
  INLINE = 'inline',
}

// 分割菜单类型
export enum MenuSplitTyeEnum {
  NONE,
  TOP,
  LEFT,
}

export enum TopMenuAlignEnum {
  CENTER = 'center',
  START = 'start',
  END = 'end',
}

// 混合菜单触发器模式
export enum MixSidebarTriggerEnum {
  HOVER = 'hover',
  CLICK = 'click',
}
