export {}

declare global {
}

declare module 'vue-router' {
  interface RouteMeta extends Record<string | number | symbol, any> {
    [key: string]: any

    // 忽略路由，菜单中也不可见
    ignore?: boolean
    // 在菜单中隐藏，但路由存在
    hideInMenu?: boolean
    // 隐藏子菜单
    hideChildrenInMenu?: boolean
    // 隐藏Tab
    hideInTab?: boolean
    // 在面包屑中隐藏
    hideInBreadcrumb?: boolean
    // 忽略KeepAlive
    ignoreKeepAlive?: boolean
    // 当前激活的菜单 path
    currentActiveMenu?: string
    // 保持tab
    affix?: boolean
    // 页面角色
    roles?: string[]
    // 页面权限
    perm?: string | boolean | RouteMeta[]
    // 页面标题
    title?: string
    // 页面图标(菜单)
    icon?: string
    // 菜单排序
    order?: number
    // layout
    layout?: string | boolean
  }
}
