export declare global {
  // 站点通用配置
  interface DefineSiteOptions {
    // Logo url
    logo: string
    // Site title
    title: string
    // Copyright Information
    copyright: string
    // Footer link
    links: FooterLinkOptions[]
  }

  // 底栏中的链接配置
  interface FooterLinkOptions {
    label?: string
    icon?: string
    target?: '_self' | '_blank'
    url: string
  }
}
